---
title: "List sectors"
url: "https://developer.argaam.com/apis/search-discovery-layer-api-sandbox-v1/versions/7b9c43fb-96d0-4164-9da6-4249bbd8ed0b/operations/getScreenerSectors"
---

> Full API specification: https://developer.argaam.com/apis/search-discovery-layer-api-sandbox-v1/versions/7b9c43fb-96d0-4164-9da6-4249bbd8ed0b.md

# List sectors

`GET` `/api/v1.1/screener/sectors`

Operation ID: `getScreenerSectors`

Returns the sectors available on this layer.

## Query parameters

- `marketId` (integer, int32, optional) - Numeric market identifier (e.g. `1` = Tadawul / Saudi main market). Use `GET /api/v1.1/markets` to list valid values. Defaults to `3`.

## Responses

- `200` - Success

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Search & Discovery Layer API
  version: v1.1
servers:
  - url: https://api-sandbox.argaam.com
    description: Argaam API Gateway (Sandbox)
paths:
  /api/v1.1/screener/sectors:
    get:
      tags:
        - Screener
      parameters:
        - name: marketId
          in: query
          schema:
            type: integer
            format: int32
            default: 3
          example: 3
          description: Numeric market identifier (e.g. `1` = Tadawul / Saudi main market).
            Use `GET /api/v1.1/markets` to list valid values. Defaults to `3`.
      responses:
        "200":
          description: Success
      summary: List sectors
      description: Returns the sectors available on this layer.
      operationId: getScreenerSectors
security:
  - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
```
